Package net.md_5.bungee.api.dialog.input

# Class NumberRangeInput

java.lang.Object
net.md_5.bungee.api.dialog.input.DialogInput
net.md_5.bungee.api.dialog.input.NumberRangeInput

public class NumberRangeInput extends DialogInput
Represents a number slider input.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NumberRangeInput(@NonNull String key, @NonNull BaseComponent label, float start, float end)`
  `NumberRangeInput(@NonNull String key, @NonNull BaseComponent label, float start, float end, Float step)`
  `NumberRangeInput(@NonNull String key, @NonNull BaseComponent label, float start, float end, Float step, Float initial)`
  `NumberRangeInput(@NonNull String key, Integer width, @NonNull BaseComponent label, String labelFormat, float start, float end, Float step, Float initial)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `float`
  `end()`
  The end position of the slider (rightmost position).
  `NumberRangeInput`
  `end(float end)`
  The end position of the slider (rightmost position).
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `Float`
  `initial()`
  The initial value of number input, or null to fall back to the middle.
  `NumberRangeInput`
  `initial(Float initial)`
  `@NonNull BaseComponent`
  `label()`
  The label of the slider.
  `NumberRangeInput`
  `label(@NonNull BaseComponent label)`
  The label of the slider.
  `String`
  `labelFormat()`
  A translate key used to display the label value (default: options.generic_value).
  `NumberRangeInput`
  `labelFormat(String labelFormat)`
  A translate key used to display the label value (default: options.generic_value).
  `float`
  `start()`
  The start position of the slider (leftmost position).
  `NumberRangeInput`
  `start(float start)`
  The start position of the slider (leftmost position).
  `Float`
  `step()`
  The steps in which the input will be increased or decreased, or null if no specific steps.
  `NumberRangeInput`
  `step(Float step)`
  `String`
  `toString()`
  `Integer`
  `width()`
  The width of the input (default: 200, minimum: 1, maximum: 1024).
  `NumberRangeInput`
  `width(Integer width)`

  ### Methods inherited from class net.md_5.bungee.api.dialog.input.DialogInput

  `key, type`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NumberRangeInput

    public NumberRangeInput(@NonNull @NonNull String key, @NonNull @NonNull BaseComponent label, float start, float end)

  - ### NumberRangeInput

    public NumberRangeInput(@NonNull @NonNull String key, @NonNull @NonNull BaseComponent label, float start, float end, Float step)

  - ### NumberRangeInput

    public NumberRangeInput(@NonNull @NonNull String key, @NonNull @NonNull BaseComponent label, float start, float end, Float step, Float initial)

  - ### NumberRangeInput

    public NumberRangeInput(@NonNull @NonNull String key, Integer width, @NonNull @NonNull BaseComponent label, String labelFormat, float start, float end, Float step, Float initial)

- ## Method Details

  - ### width

    public NumberRangeInput width(Integer width)

  - ### step

    public NumberRangeInput step(Float step)

  - ### initial

    public NumberRangeInput initial(Float initial)

  - ### width

    public Integer width()
    The width of the input (default: 200, minimum: 1, maximum: 1024).

  - ### label

    @NonNull public @NonNull BaseComponent label()
    The label of the slider.

  - ### labelFormat

    public String labelFormat()
    A translate key used to display the label value (default: options.generic_value).

  - ### start

    public float start()
    The start position of the slider (leftmost position).

  - ### end

    public float end()
    The end position of the slider (rightmost position).

  - ### step

    public Float step()
    The steps in which the input will be increased or decreased, or null if no specific steps.

  - ### initial

    public Float initial()
    The initial value of number input, or null to fall back to the middle.

  - ### label

    public NumberRangeInput label(@NonNull @NonNull BaseComponent label)
    The label of the slider.
    Returns:
      `this`.

  - ### labelFormat

    public NumberRangeInput labelFormat(String labelFormat)
    A translate key used to display the label value (default: options.generic_value).
    Returns:
      `this`.

  - ### start

    public NumberRangeInput start(float start)
    The start position of the slider (leftmost position).
    Returns:
      `this`.

  - ### end

    public NumberRangeInput end(float end)
    The end position of the slider (rightmost position).
    Returns:
      `this`.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `DialogInput`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `DialogInput`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `DialogInput`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `DialogInput`